/*! © 2026 Yahoo, Inc. UDS Tailwind and Purger v0.0.0-development */
const require_index = require('../../css-tokens/dist/index.cjs');
const require_index$1 = require('../../modes/dist/index.cjs');
const require_getScaleModeStyles = require('../utils/getScaleModeStyles.cjs');

//#region src/tailwind/base/addScaleModeVars.ts
function addScaleModeVars(tokens, { addBase }) {
	const styles = require_getScaleModeStyles.getScaleModeStyles(tokens);
	addBase({
		...styles[require_index$1.DEFAULT_SCALE_MODE],
		[`.${require_index.XSMALL_SCALE_MODE_CLASSNAME}`]: styles.xSmall,
		[`.${require_index.SMALL_SCALE_MODE_CLASSNAME}`]: styles.small,
		[`.${require_index.MEDIUM_SCALE_MODE_CLASSNAME}`]: styles.medium,
		[`.${require_index.LARGE_SCALE_MODE_CLASSNAME}`]: styles.large,
		[`.${require_index.XLARGE_SCALE_MODE_CLASSNAME}`]: styles.xLarge,
		[`.${require_index.XXLARGE_SCALE_MODE_CLASSNAME}`]: styles.xxLarge,
		[`.${require_index.XXXLARGE_SCALE_MODE_CLASSNAME}`]: styles.xxxLarge
	});
}

//#endregion
exports.addScaleModeVars = addScaleModeVars;